log for com.emanuelef.remote_capture:58

== Installed Android Tools ==

2022-08-05 16:13:21,363 DEBUG: Reading 'config.yml'
2022-08-05 16:13:21,372 DEBUG: Local Android SDK only has outdated apksigner versions
2022-08-05 16:13:21,373 WARNING: apksigner not found! Cannot sign or verify modern APKs
2022-08-05 16:13:21,375 INFO: Creating log directory
2022-08-05 16:13:21,375 INFO: Creating temporary directory
2022-08-05 16:13:21,375 INFO: Creating output directory
2022-08-05 16:13:21,383 DEBUG: Getting git vcs interface for https://github.com/emanuele-f/PCAPdroid.git
2022-08-05 16:13:21,384 DEBUG: > git --version
git version 2.11.0
2022-08-05 16:13:21,598 INFO: Using git version 2.11.0
2022-08-05 16:13:21,599 DEBUG: Checking 1.5.4
2022-08-05 16:13:21,599 INFO: Building version 1.5.4 (58) of com.emanuelef.remote_capture
2022-08-05 16:13:21,599 WARNING: Android NDK version 'r25' could not be found!
2022-08-05 16:13:21,600 WARNING: Configured versions:
2022-08-05 16:13:21,600 WARNING:   r23c: /opt/android-sdk/ndk/23.2.8568313
2022-08-05 16:13:21,601 INFO: Downloading https://dl.google.com/android/repository/android-ndk-r25-linux.zip
2022-08-05 16:13:21,614 DEBUG: Starting new HTTPS connection (1): dl.google.com
2022-08-05 16:13:21,692 DEBUG: https://dl.google.com:443 "GET /android/repository/android-ndk-r25-linux.zip HTTP/1.1" 200 530938532
2022-08-05 16:13:38,885 INFO: Unzipping to /opt/android-sdk/ndk
2022-08-05 16:13:50,331 INFO: Set NDK r25 (25.0.8775105) up
2022-08-05 16:13:50,333 INFO: Running 'sudo' commands in /home/vagrant
2022-08-05 16:13:50,334 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y build-essential libpcap-dev autogen libjson-c-dev libnuma-dev libpcre2-dev && apt-get install -y openjdk-11-jdk-headless && update-alternatives --auto java
+ apt-get update
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Get:4 http://deb.debian.org/debian stretch-backports-sloppy InRelease [51.4 kB]
Get:5 http://deb.debian.org/debian stretch-backports InRelease [99.9 kB]
Get:6 http://deb.debian.org/debian testing InRelease [157 kB]
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:10 http://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:11 http://deb.debian.org/debian testing/main i386 Packages T-2022-08-05-1404.28-F-2022-08-05-0802.58.pdiff [1,779 B]
Get:11 http://deb.debian.org/debian testing/main i386 Packages T-2022-08-05-1404.28-F-2022-08-05-0802.58.pdiff [1,779 B]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2022-08-05-1404.28-F-2022-08-05-1404.28.pdiff [1,301 B]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2022-08-05-1404.28-F-2022-08-05-1404.28.pdiff [1,301 B]
Fetched 438 kB in 3s (120 kB/s)
Reading package lists...
+ apt-get install -y build-essential libpcap-dev autogen libjson-c-dev libnuma-dev libpcre2-dev
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  dpkg-dev g++ g++-6 guile-2.0-libs libgc1c2 libjson-c3 libnuma1 libopts25
  libopts25-dev libpcap0.8 libpcap0.8-dev libpcre2-16-0 libpcre2-32-0
  libpcre2-8-0 libpcre2-posix0 libstdc++-6-dev
Suggested packages:
  debian-keyring g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg
  libstdc++-6-doc
Recommended packages:
  autogen-doc gnupg | gnupg2 libalgorithm-merge-perl
The following NEW packages will be installed:
  autogen build-essential dpkg-dev g++ g++-6 guile-2.0-libs libgc1c2
  libjson-c-dev libjson-c3 libnuma-dev libnuma1 libopts25 libopts25-dev
  libpcap-dev libpcap0.8 libpcap0.8-dev libpcre2-16-0 libpcre2-32-0
  libpcre2-8-0 libpcre2-dev libpcre2-posix0 libstdc++-6-dev
0 upgraded, 22 newly installed, 0 to remove and 2 not upgraded.
Need to get 15.0 MB of archives.
After this operation, 60.9 MB of additional disk space will be used.
Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 libgc1c2 amd64 1:7.4.2-8+deb9u1 [209 kB]
Get:2 http://deb.debian.org/debian stretch/main amd64 guile-2.0-libs amd64 2.0.13+1-4 [2,232 kB]
Get:3 http://security.debian.org/debian-security stretch/updates/main amd64 dpkg-dev all 1.18.26 [1,597 kB]
Get:4 http://security.debian.org/debian-security stretch/updates/main amd64 libpcap0.8 amd64 1.8.1-3+deb9u1 [139 kB]
Get:5 http://deb.debian.org/debian stretch/main amd64 libopts25 amd64 1:5.18.12-3 [68.0 kB]
Get:6 http://deb.debian.org/debian stretch/main amd64 libopts25-dev amd64 1:5.18.12-3 [106 kB]
Get:7 http://security.debian.org/debian-security stretch/updates/main amd64 libpcap0.8-dev amd64 1.8.1-3+deb9u1 [239 kB]
Get:8 http://deb.debian.org/debian stretch/main amd64 autogen amd64 1:5.18.12-3 [566 kB]
Get:9 http://security.debian.org/debian-security stretch/updates/main amd64 libpcap-dev all 1.8.1-3+deb9u1 [25.5 kB]
Get:10 http://security.debian.org/debian-security stretch/updates/main amd64 libjson-c3 amd64 0.12.1-1.1+deb9u1 [26.1 kB]
Get:11 http://security.debian.org/debian-security stretch/updates/main amd64 libjson-c-dev amd64 0.12.1-1.1+deb9u1 [37.8 kB]
Get:12 http://deb.debian.org/debian stretch/main amd64 libstdc++-6-dev amd64 6.3.0-18+deb9u1 [1,420 kB]
Get:13 http://deb.debian.org/debian stretch/main amd64 g++-6 amd64 6.3.0-18+deb9u1 [7,094 kB]
Get:14 http://deb.debian.org/debian stretch/main amd64 g++ amd64 4:6.3.0-4 [1,546 B]
Get:15 http://deb.debian.org/debian stretch/main amd64 build-essential amd64 12.3 [7,346 B]
Get:16 http://deb.debian.org/debian stretch/main amd64 libnuma1 amd64 2.0.11-2.1 [33.3 kB]
Get:17 http://deb.debian.org/debian stretch/main amd64 libpcre2-16-0 amd64 10.22-3 [174 kB]
Get:18 http://deb.debian.org/debian stretch/main amd64 libpcre2-32-0 amd64 10.22-3 [164 kB]
Get:19 http://deb.debian.org/debian stretch/main amd64 libpcre2-8-0 amd64 10.22-3 [182 kB]
Get:20 http://deb.debian.org/debian stretch/main amd64 libpcre2-posix0 amd64 10.22-3 [22.1 kB]
Get:21 http://deb.debian.org/debian stretch/main amd64 libpcre2-dev amd64 10.22-3 [599 kB]
Get:22 http://deb.debian.org/debian stretch/main amd64 libnuma-dev amd64 2.0.11-2.1 [46.0 kB]
Fetched 15.0 MB in 0s (75.6 MB/s)
Selecting previously unselected package libgc1c2:amd64.
(Reading database ... 65038 files and directories currently installed.)
Preparing to unpack .../00-libgc1c2_1%3a7.4.2-8+deb9u1_amd64.deb ...
Unpacking libgc1c2:amd64 (1:7.4.2-8+deb9u1) ...
Selecting previously unselected package guile-2.0-libs:amd64.
Preparing to unpack .../01-guile-2.0-libs_2.0.13+1-4_amd64.deb ...
Unpacking guile-2.0-libs:amd64 (2.0.13+1-4) ...
Selecting previously unselected package libopts25:amd64.
Preparing to unpack .../02-libopts25_1%3a5.18.12-3_amd64.deb ...
Unpacking libopts25:amd64 (1:5.18.12-3) ...
Selecting previously unselected package libopts25-dev:amd64.
Preparing to unpack .../03-libopts25-dev_1%3a5.18.12-3_amd64.deb ...
Unpacking libopts25-dev:amd64 (1:5.18.12-3) ...
Selecting previously unselected package autogen.
Preparing to unpack .../04-autogen_1%3a5.18.12-3_amd64.deb ...
Unpacking autogen (1:5.18.12-3) ...
Replaced by files in installed package libopts25-dev:amd64 (1:5.18.12-3) ...
Selecting previously unselected package libstdc++-6-dev:amd64.
Preparing to unpack .../05-libstdc++-6-dev_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libstdc++-6-dev:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package g++-6.
Preparing to unpack .../06-g++-6_6.3.0-18+deb9u1_amd64.deb ...
Unpacking g++-6 (6.3.0-18+deb9u1) ...
Selecting previously unselected package g++.
Preparing to unpack .../07-g++_4%3a6.3.0-4_amd64.deb ...
Unpacking g++ (4:6.3.0-4) ...
Selecting previously unselected package dpkg-dev.
Preparing to unpack .../08-dpkg-dev_1.18.26_all.deb ...
Unpacking dpkg-dev (1.18.26) ...
Selecting previously unselected package build-essential.
Preparing to unpack .../09-build-essential_12.3_amd64.deb ...
Unpacking build-essential (12.3) ...
Selecting previously unselected package libnuma1:amd64.
Preparing to unpack .../10-libnuma1_2.0.11-2.1_amd64.deb ...
Unpacking libnuma1:amd64 (2.0.11-2.1) ...
Selecting previously unselected package libpcap0.8:amd64.
Preparing to unpack .../11-libpcap0.8_1.8.1-3+deb9u1_amd64.deb ...
Unpacking libpcap0.8:amd64 (1.8.1-3+deb9u1) ...
Selecting previously unselected package libpcap0.8-dev.
Preparing to unpack .../12-libpcap0.8-dev_1.8.1-3+deb9u1_amd64.deb ...
Unpacking libpcap0.8-dev (1.8.1-3+deb9u1) ...
Selecting previously unselected package libpcap-dev.
Preparing to unpack .../13-libpcap-dev_1.8.1-3+deb9u1_all.deb ...
Unpacking libpcap-dev (1.8.1-3+deb9u1) ...
Selecting previously unselected package libpcre2-16-0:amd64.
Preparing to unpack .../14-libpcre2-16-0_10.22-3_amd64.deb ...
Unpacking libpcre2-16-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-32-0:amd64.
Preparing to unpack .../15-libpcre2-32-0_10.22-3_amd64.deb ...
Unpacking libpcre2-32-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-8-0:amd64.
Preparing to unpack .../16-libpcre2-8-0_10.22-3_amd64.deb ...
Unpacking libpcre2-8-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-posix0:amd64.
Preparing to unpack .../17-libpcre2-posix0_10.22-3_amd64.deb ...
Unpacking libpcre2-posix0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-dev:amd64.
Preparing to unpack .../18-libpcre2-dev_10.22-3_amd64.deb ...
Unpacking libpcre2-dev:amd64 (10.22-3) ...
Selecting previously unselected package libjson-c3:amd64.
Preparing to unpack .../19-libjson-c3_0.12.1-1.1+deb9u1_amd64.deb ...
Unpacking libjson-c3:amd64 (0.12.1-1.1+deb9u1) ...
Selecting previously unselected package libjson-c-dev:amd64.
Preparing to unpack .../20-libjson-c-dev_0.12.1-1.1+deb9u1_amd64.deb ...
Unpacking libjson-c-dev:amd64 (0.12.1-1.1+deb9u1) ...
Selecting previously unselected package libnuma-dev:amd64.
Preparing to unpack .../21-libnuma-dev_2.0.11-2.1_amd64.deb ...
Unpacking libnuma-dev:amd64 (2.0.11-2.1) ...
Setting up libstdc++-6-dev:amd64 (6.3.0-18+deb9u1) ...
Setting up libjson-c3:amd64 (0.12.1-1.1+deb9u1) ...
Setting up libnuma1:amd64 (2.0.11-2.1) ...
Setting up libgc1c2:amd64 (1:7.4.2-8+deb9u1) ...
Setting up g++-6 (6.3.0-18+deb9u1) ...
Setting up dpkg-dev (1.18.26) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up guile-2.0-libs:amd64 (2.0.13+1-4) ...
Setting up libjson-c-dev:amd64 (0.12.1-1.1+deb9u1) ...
Setting up libopts25:amd64 (1:5.18.12-3) ...
Setting up g++ (4:6.3.0-4) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up libnuma-dev:amd64 (2.0.11-2.1) ...
Setting up libpcre2-8-0:amd64 (10.22-3) ...
Setting up libpcre2-32-0:amd64 (10.22-3) ...
Setting up libpcre2-16-0:amd64 (10.22-3) ...
Setting up libpcap0.8:amd64 (1.8.1-3+deb9u1) ...
Setting up build-essential (12.3) ...
Setting up libpcap0.8-dev (1.8.1-3+deb9u1) ...
Setting up libopts25-dev:amd64 (1:5.18.12-3) ...
Setting up libpcap-dev (1.8.1-3+deb9u1) ...
Setting up libpcre2-posix0:amd64 (10.22-3) ...
Setting up autogen (1:5.18.12-3) ...
Setting up libpcre2-dev:amd64 (10.22-3) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
+ apt-get install -y openjdk-11-jdk-headless
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libasound2 libasound2-data openjdk-11-jre-headless
Suggested packages:
  libasound2-plugins alsa-utils openjdk-11-demo openjdk-11-source libnss-mdns
  fonts-dejavu-extra fonts-ipafont-gothic fonts-ipafont-mincho
  fonts-wqy-microhei | fonts-wqy-zenhei fonts-indic
The following NEW packages will be installed:
  libasound2 libasound2-data openjdk-11-jdk-headless openjdk-11-jre-headless
0 upgraded, 4 newly installed, 0 to remove and 2 not upgraded.
Need to get 230 MB of archives.
After this operation, 374 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian stretch/main amd64 libasound2-data all 1.1.3-5 [173 kB]
Get:2 http://deb.debian.org/debian stretch/main amd64 libasound2 amd64 1.1.3-5 [497 kB]
Get:3 http://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jre-headless amd64 11.0.6+10-1~bpo9+1 [37.4 MB]
Get:4 http://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jdk-headless amd64 11.0.6+10-1~bpo9+1 [192 MB]
Fetched 230 MB in 3s (68.9 MB/s)
Selecting previously unselected package libasound2-data.
(Reading database ... 67139 files and directories currently installed.)
Preparing to unpack .../libasound2-data_1.1.3-5_all.deb ...
Unpacking libasound2-data (1.1.3-5) ...
Selecting previously unselected package libasound2:amd64.
Preparing to unpack .../libasound2_1.1.3-5_amd64.deb ...
Unpacking libasound2:amd64 (1.1.3-5) ...
Selecting previously unselected package openjdk-11-jre-headless:amd64.
Preparing to unpack .../openjdk-11-jre-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Selecting previously unselected package openjdk-11-jdk-headless:amd64.
Preparing to unpack .../openjdk-11-jdk-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up libasound2-data (1.1.3-5) ...
Setting up libasound2:amd64 (1.1.3-5) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jdeprscan to provide /usr/bin/jdeprscan (jdeprscan) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jimage to provide /usr/bin/jimage (jimage) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jlink to provide /usr/bin/jlink (jlink) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jmod to provide /usr/bin/jmod (jmod) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jshell to provide /usr/bin/jshell (jshell) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jaotc to provide /usr/bin/jaotc (jaotc) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jhsdb to provide /usr/bin/jhsdb (jhsdb) in auto mode
+ update-alternatives --auto java
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/java to provide /usr/bin/java (java) in auto mode
2022-08-05 16:14:17,562 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2022-08-05 16:14:17,770 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 67796 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u14) ...
2022-08-05 16:14:22,487 INFO: Getting source for revision c48aacae81d29c40a0c24c39f63c26b0aeebcb1e
2022-08-05 16:14:22,488 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:22,488 DEBUG: > git rev-parse --show-toplevel
2022-08-05 16:14:22,700 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:22,700 DEBUG: > git submodule foreach --recursive git reset --hard
2022-08-05 16:14:23,738 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:23,738 DEBUG: > git reset --hard
2022-08-05 16:14:23,944 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:23,945 DEBUG: > git submodule foreach --recursive git clean -dffx
2022-08-05 16:14:24,252 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:24,252 DEBUG: > git clean -dffx
2022-08-05 16:14:24,357 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:24,358 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2022-08-05 16:14:24,778 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:24,779 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com remote prune origin
2022-08-05 16:14:25,086 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:25,086 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2022-08-05 16:14:25,394 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:25,394 DEBUG: > git remote set-head origin --auto
2022-08-05 16:14:26,003 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:26,003 DEBUG: > git checkout -f c48aacae81d29c40a0c24c39f63c26b0aeebcb1e
2022-08-05 16:14:26,213 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:26,213 DEBUG: > git clean -dffx
2022-08-05 16:14:26,318 INFO: Initialising submodules
2022-08-05 16:14:26,319 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:26,320 DEBUG: > git rev-parse --show-toplevel
2022-08-05 16:14:26,527 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:26,527 DEBUG: > git submodule sync
2022-08-05 16:14:26,733 DEBUG: Directory: build/com.emanuelef.remote_capture
2022-08-05 16:14:26,733 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com submodule update --init --force --recursive
Submodule path 'submodules/MaxMind-DB-Reader-java': checked out '1f96affe0f6c37021526ebfd8993298a0f67370f'
Submodule path 'submodules/MaxMind-DB-Reader-java/src/test/resources/maxmind-db': checked out 'b3bb9f6b5d4338982cc13c226caf042d184277eb'
Submodule path 'submodules/libpcap': checked out 'c7642e2cc0c5bd65754685b160d25dc23c76c6bd'
Submodule path 'submodules/nDPI': checked out 'd67dba69b74ffcec937f25eb1b4cc83755f4b1ac'
Submodule path 'submodules/zdtun': checked out '809d6d200a97b2802ab346cc93ea97bac5457ea2'
2022-08-05 16:14:27,694 INFO: Creating local.properties file at build/com.emanuelef.remote_capture/local.properties
2022-08-05 16:14:27,695 INFO: Creating local.properties file at build/com.emanuelef.remote_capture/app/local.properties
2022-08-05 16:14:27,695 DEBUG: Removing debuggable flags from build/com.emanuelef.remote_capture/app
2022-08-05 16:14:27,729 INFO: Running 'prebuild' commands in build/com.emanuelef.remote_capture/app
2022-08-05 16:14:27,730 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2022-08-05 16:14:27,730 DEBUG: > bash -x -c -- JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
+ JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64
+ /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1'
Warning: File /home/vagrant/.android/repositories.cfg could not be loaded.
2022-08-05 16:14:34,607 INFO: Cleaning Gradle project...
2022-08-05 16:14:34,607 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2022-08-05 16:14:34,608 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid clean
Found 7.4.2 via distributionUrl
Downloading missing gradle version 7.4.2
cachedir /home/vagrant/.cache/fdroidserver
/home/vagrant/.cache/fdroidserver/gradle-7.4.2-bin.zip: OK
Running /opt/gradle/versions/7.4.2/bin/gradle clean

Welcome to Gradle 7.4.2!

Here are the highlights of this release:
 - Aggregated test and JaCoCo reports
 - Marking additional test source directories as tests in IntelliJ
 - Support for Adoptium JDKs in Java toolchains

For more details see https://docs.gradle.org/7.4.2/release-notes.html

To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.4.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 

> Configure project :app
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:externalNativeBuildCleanDebug
> Task :app:externalNativeBuildCleanRelease
> Task :app:clean

BUILD SUCCESSFUL in 23s
3 actionable tasks: 3 executed
2022-08-05 16:15:05,706 INFO: Scanning source for common problems...
2022-08-05 16:15:05,710 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2022-08-05 16:15:05,722 INFO: Removing binary at app/src/main/jni/tests/pcap/crash-593ec6ead7a1bf23faa96d03cbd74c315bcf67fc
2022-08-05 16:15:05,759 WARNING: Found executable binary, possibly code at submodules/nDPI/tests/pcap/mongodb.pcap
2022-08-05 16:15:05,767 WARNING: Found executable binary, possibly code at submodules/nDPI/tests/pcap/imap.pcap
2022-08-05 16:15:05,779 INFO: Removing binary at submodules/nDPI/tests/result/kerberos_fuzz.pcapng.out
2022-08-05 16:15:05,801 INFO: Creating source tarball...
2022-08-05 16:15:12,139 INFO: Building Gradle project...
2022-08-05 16:15:12,139 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2022-08-05 16:15:12,139 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid assembleRelease
Found 7.4.2 via distributionUrl
Running /opt/gradle/versions/7.4.2/bin/gradle assembleRelease
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.4.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 

> Configure project :app
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
Checking the license for package Android SDK Build-Tools 31 in /opt/android-sdk/licenses
License for package Android SDK Build-Tools 31 accepted.
Preparing "Install Android SDK Build-Tools 31 (revision: 31.0.0)".
"Install Android SDK Build-Tools 31 (revision: 31.0.0)" ready.
Installing Android SDK Build-Tools 31 in /opt/android-sdk/build-tools/31.0.0
"Install Android SDK Build-Tools 31 (revision: 31.0.0)" complete.
"Install Android SDK Build-Tools 31 (revision: 31.0.0)" finished.
Checking the license for package Android SDK Platform 33 in /opt/android-sdk/licenses
License for package Android SDK Platform 33 accepted.
Preparing "Install Android SDK Platform 33 (revision: 2)".
"Install Android SDK Platform 33 (revision: 2)" ready.
Installing Android SDK Platform 33 in /opt/android-sdk/platforms/android-33
"Install Android SDK Platform 33 (revision: 2)" complete.
"Install Android SDK Platform 33 (revision: 2)" finished.

> Task :app:preBuild UP-TO-DATE
> Task :app:preReleaseBuild UP-TO-DATE
> Task :app:compileReleaseAidl NO-SOURCE
> Task :app:compileReleaseRenderscript NO-SOURCE
> Task :app:generateReleaseBuildConfig
> Task :app:javaPreCompileRelease
> Task :app:generateReleaseResValues
> Task :app:generateReleaseResources
> Task :app:checkReleaseAarMetadata
> Task :app:createReleaseCompatibleScreenManifests
> Task :app:extractDeepLinksRelease
> Task :app:processReleaseMainManifest
> Task :app:processReleaseManifest
> Task :app:extractProguardFiles
> Task :app:mergeReleaseResources

> Task :app:configureCMakeRelWithDebInfo[arm64-v8a]
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
C/C++: release|arm64-v8a :  CMakeLists.txt:1 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|arm64-v8a :  CMake's built-in compiler identification.
C/C++: release|arm64-v8a :Call Stack (most recent call first):
C/C++: release|arm64-v8a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|arm64-v8a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

> Task :app:mapReleaseSourceSetPaths
> Task :app:buildCMakeRelWithDebInfo[arm64-v8a]

> Task :app:configureCMakeRelWithDebInfo[armeabi-v7a]
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
C/C++: release|armeabi-v7a :  CMakeLists.txt:1 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
C/C++: release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|armeabi-v7a :  CMake's built-in compiler identification.
C/C++: release|armeabi-v7a :Call Stack (most recent call first):
C/C++: release|armeabi-v7a :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|armeabi-v7a :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

> Task :app:buildCMakeRelWithDebInfo[armeabi-v7a]

> Task :app:configureCMakeRelWithDebInfo[x86]
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
C/C++: release|x86 :  CMakeLists.txt:1 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86 :  CMake's built-in compiler identification.
C/C++: release|x86 :Call Stack (most recent call first):
C/C++: release|x86 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

> Task :app:buildCMakeRelWithDebInfo[x86]

> Task :app:configureCMakeRelWithDebInfo[x86_64]
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
C/C++: release|x86_64 :  CMakeLists.txt:1 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
C/C++: release|x86_64 :CMake Warning at /opt/android-sdk/ndk/25.0.8775105/build/cmake/android-legacy.toolchain.cmake:415 (message):
C/C++: release|x86_64 :  An old version of CMake is being used that cannot automatically detect
C/C++: release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
C/C++: release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
C/C++: release|x86_64 :  CMake's built-in compiler identification.
C/C++: release|x86_64 :Call Stack (most recent call first):
C/C++: release|x86_64 :  /opt/android-sdk/ndk/25.0.8775105/build/cmake/android.toolchain.cmake:54 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
C/C++: release|x86_64 :  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/RelWithDebInfo/6z1g5n42/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

> Task :app:buildCMakeRelWithDebInfo[x86_64]
> Task :app:externalNativeBuildRelease
> Task :app:mergeReleaseJniLibFolders
> Task :app:mergeReleaseNativeLibs
> Task :app:checkReleaseDuplicateClasses

> Task :app:stripReleaseDebugSymbols
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:extractReleaseNativeSymbolTables
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [25.0.8775105] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:desugarReleaseFileDependencies
> Task :app:mergeReleaseNativeDebugMetadata
> Task :app:processReleaseManifestForPackage
> Task :app:mergeReleaseShaders
> Task :app:compileReleaseShaders NO-SOURCE
> Task :app:generateReleaseAssets UP-TO-DATE
> Task :app:mergeReleaseAssets
> Task :app:compressReleaseAssets
> Task :app:processReleaseJavaRes NO-SOURCE
> Task :app:mergeReleaseJavaResource
> Task :app:mergeExtDexRelease
> Task :app:collectReleaseDependencies
> Task :app:sdkReleaseDependencyData
> Task :app:writeReleaseAppMetadata
> Task :app:writeReleaseSigningConfigVersions
> Task :app:mergeReleaseArtProfile
> Task :app:processReleaseResources

> Task :app:compileReleaseJavaWithJavac
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/MitmReceiver.java:33: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:41: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppsFragment.java:41: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:49: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:48: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:50: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/StatsActivity.java:23: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:57: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
                                             ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/MitmReceiver.java:291: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(mContext).sendBroadcast(intent);
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/MitmAddon.java:106: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
            PackageInfo pInfo = ctx.getPackageManager().getPackageInfo(MitmAPI.PACKAGE_NAME, 0);
                                                       ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/MitmAddon.java:118: warning: [deprecation] getPackageUid(String,int) in PackageManager has been deprecated
                return pm.getPackageUid(MitmAPI.PACKAGE_NAME, 0);
                         ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/MitmAddon.java:120: warning: [deprecation] getApplicationInfo(String,int) in PackageManager has been deprecated
                return pm.getApplicationInfo(MitmAPI.PACKAGE_NAME, 0).uid;
                         ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/AppsResolver.java:101: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
            pinfo = pm.getPackageInfo(packageName, pm_flags);
                      ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/AppsResolver.java:187: warning: [deprecation] getPackageUid(String,int) in PackageManager has been deprecated
                    return mPm.getPackageUid(package_name, 0);
                              ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/AppsResolver.java:189: warning: [deprecation] getApplicationInfo(String,int) in PackageManager has been deprecated
                    ApplicationInfo info = mPm.getApplicationInfo(package_name, 0);
                                              ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/Utils.java:707: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
            PackageInfo pInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
                                                           ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/Utils.java:1081: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
                PackageInfo pInfo = ctx.getPackageManager().getPackageInfo(package_name, PackageManager.GET_SIGNING_CERTIFICATES);
                                                           ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/Utils.java:1085: warning: [deprecation] GET_SIGNATURES in PackageManager has been deprecated
                PackageInfo pInfo = ctx.getPackageManager().getPackageInfo(ctx.getPackageName(), PackageManager.GET_SIGNATURES);
                                                                                                               ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/Utils.java:1085: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
                PackageInfo pInfo = ctx.getPackageManager().getPackageInfo(ctx.getPackageName(), PackageManager.GET_SIGNATURES);
                                                           ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/Utils.java:1086: warning: [deprecation] signatures in PackageInfo has been deprecated
                signatures = pInfo.signatures;
                                  ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/MalwareStatusFragment.java:71: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/MalwareStatusFragment.java:119: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater inflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/MalwareStatusFragment.java:124: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionPayload.java:89: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionPayload.java:99: warning: [deprecation] getSerializable(String) in Bundle has been deprecated
        mode = (PayloadChunk.ChunkType) args.getSerializable("mode");
                                            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionPayload.java:155: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionPayload.java:167: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionPayload.java:182: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
        return super.onOptionsItemSelected(item);
                    ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:61: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:90: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(requireContext())
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:99: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(requireContext())
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:104: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater inflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/BlacklistsFragment.java:111: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppsToggles.java:62: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppsToggles.java:101: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppsFragment.java:125: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(requireContext())
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppsFragment.java:134: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(requireContext())
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionOverview.java:100: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionOverview.java:217: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionOverview.java:222: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionOverview.java:237: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
        return super.onOptionsItemSelected(item);
                    ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/EditListFragment.java:91: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/EditListFragment.java:101: warning: [deprecation] getSerializable(String) in Bundle has been deprecated
        mListInfo = new ListInfo((ListInfo.Type)getArguments().getSerializable(LIST_TYPE_ARG));
                                                              ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/EditListFragment.java:200: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater inflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/EditListFragment.java:213: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/FirewallStatus.java:75: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/FirewallStatus.java:120: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater inflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/FirewallStatus.java:142: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppOverview.java:78: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppOverview.java:190: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppOverview.java:198: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/AppOverview.java:214: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
        return super.onOptionsItemSelected(item);
                    ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:128: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(requireContext())
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:137: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(requireContext())
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:146: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:215: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/StatusFragment.java:275: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
        CaptureStats stats = (CaptureStats) intent.getSerializableExtra("value");
                                                  ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:207: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(this)
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:216: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(this)
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:343: warning: [deprecation] versionCode in PackageInfo has been deprecated
        if((pInfo == null) || (pInfo.versionCode < 56)) {
                                    ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:355: warning: [deprecation] versionCode in PackageInfo has been deprecated
        Log.d(TAG, "Valid peer app found (" + pInfo.versionName + " - " + pInfo.versionCode + ")");
                                                                               ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:370: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
            Serializable skus_extra = data.getSerializableExtra("skus");
                                          ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:372: warning: [unchecked] unchecked cast
                HashSet<String> skus = (HashSet<String>) skus_extra;
                                                         ^
  required: HashSet<String>
  found:    Serializable
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/MainActivity.java:573: warning: [deprecation] getPackageInfo(String,int) in PackageManager has been deprecated
            getPackageManager().getPackageInfo("org.telegram.messenger", 0);
                               ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/model/CaptureSettings.java:82: warning: [deprecation] get(String) in BaseBundle has been deprecated
        Object o = bundle.get(key);
                         ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/model/CaptureSettings.java:92: warning: [deprecation] get(String) in BaseBundle has been deprecated
        Object o = bundle.get(key);
                         ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:143: warning: [deprecation] setHasOptionsMenu(boolean) in Fragment has been deprecated
        setHasOptionsMenu(true);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:187: warning: [deprecation] setOnCheckedChangeListener(OnCheckedChangeListener) in ChipGroup has been deprecated
        mActiveFilter.setOnCheckedChangeListener((group, checkedId) -> {
                     ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:234: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
            FilterDescriptor filter = (FilterDescriptor) intent.getSerializableExtra(FILTER_EXTRA);
                                                               ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:253: warning: [deprecation] getSerializable(String) in Bundle has been deprecated
                mAdapter.mFilter = (FilterDescriptor) savedInstanceState.getSerializable("filter_desc");
                                                                        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:284: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(requireContext())
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:293: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(requireContext())
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:677: warning: [deprecation] onCreateOptionsMenu(Menu,MenuInflater) in Fragment has been deprecated
    public void onCreateOptionsMenu(@NonNull Menu menu, MenuInflater menuInflater) {
                ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:697: warning: [deprecation] onOptionsItemSelected(MenuItem) in Fragment has been deprecated
    public boolean onOptionsItemSelected(MenuItem item) {
                   ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/fragments/ConnectionsFragment.java:802: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
            FilterDescriptor descriptor = (FilterDescriptor)result.getData().getSerializableExtra(EditFilterActivity.FILTER_DESCRIPTOR);
                                                                            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/EditListActivity.java:40: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
        ListInfo.Type ltype = (ListInfo.Type) getIntent().getSerializableExtra(LIST_TYPE_EXTRA);
                                                         ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/EditFilterActivity.java:79: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
            FilterDescriptor desc = (FilterDescriptor)intent.getSerializableExtra(FILTER_DESCRIPTOR);
                                                            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/SettingsActivity.java:202: warning: [deprecation] IP_ADDRESS in Patterns has been deprecated
                Matcher matcher = Patterns.IP_ADDRESS.matcher(value);
                                          ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/StatsActivity.java:103: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(this)
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/StatsActivity.java:114: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
            LocalBroadcastManager.getInstance(this)
            ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/StatsActivity.java:119: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
        CaptureStats stats = (CaptureStats) intent.getSerializableExtra("value");
                                                  ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:237: warning: [deprecation] getSerializableExtra(String) in Intent has been deprecated
        CaptureSettings settings = (CaptureSettings) ((intent == null) ? null : intent.getSerializableExtra("settings"));
                                                                                      ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:368: warning: [deprecation] getApplicationInfo(String,int) in PackageManager has been deprecated
                app_filter_uid = getPackageManager().getApplicationInfo(mSettings.app_filter, 0).uid;
                                                    ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:827: warning: [deprecation] stopForeground(boolean) in Service has been deprecated
            captureService.stopForeground(true);
                          ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:1284: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/CaptureService.java:1291: warning: [deprecation] LocalBroadcastManager in androidx.localbroadcastmanager.content has been deprecated
        LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/AppsLoader.java:69: warning: [deprecation] getInstalledPackages(int) in PackageManager has been deprecated
            packs = pm.getInstalledPackages(0);
                      ^
87 warnings

> Task :app:dexBuilderRelease
> Task :app:optimizeReleaseResources
> Task :app:mergeDexRelease
> Task :app:compileReleaseArtProfile
> Task :app:packageRelease
> Task :app:createReleaseApkListingFileRedirect
> Task :app:lintVitalAnalyzeRelease
> Task :app:lintVitalReportRelease
> Task :app:lintVitalRelease
> Task :app:assembleRelease

BUILD SUCCESSFUL in 1m 45s
49 actionable tasks: 49 executed
2022-08-05 16:16:58,484 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/com.emanuelef.remote_capture, universal_newlines=False, shell=None)
2022-08-05 16:16:58,488 INFO: Successfully built version 1.5.4 of com.emanuelef.remote_capture from c48aacae81d29c40a0c24c39f63c26b0aeebcb1e
2022-08-05 16:16:59,220 DEBUG: AXML contains a RESOURCE MAP
2022-08-05 16:16:59,220 DEBUG: Start of Namespace mapping: prefix 32: 'android' --> uri 91: 'http://schemas.android.com/apk/res/android'
2022-08-05 16:16:59,221 DEBUG: Checking build/com.emanuelef.remote_capture/app/build/outputs/apk/release/app-release-unsigned.apk
2022-08-05 16:16:59,239 DEBUG: AXML contains a RESOURCE MAP
2022-08-05 16:16:59,240 DEBUG: Start of Namespace mapping: prefix 32: 'android' --> uri 91: 'http://schemas.android.com/apk/res/android'
2022-08-05 16:16:59,270 INFO: success: com.emanuelef.remote_capture
2022-08-05 16:16:59,271 INFO: Finished
2022-08-05 16:16:59,271 INFO: 1 build succeeded